package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabSmsTemplateInit;
import org.apache.ibatis.annotations.Param;

/**
 * 初始化会员卡的短信模板
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/7/8 11:05 AM 
 */
public interface TabSmsTemplateInitMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSmsTemplateInit record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSmsTemplateInit record);

    /**
     * 根据主键查询
     *
     * @param smsTemplateInitId 主键
     * @return 实体对象
     */
    TabSmsTemplateInit selectByPrimaryKey(Integer smsTemplateInitId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSmsTemplateInit record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSmsTemplateInit record);

    /**
     * 查询
     * @param memberCardId
     * @return
     */
    int count(@Param("memberCardId") Long memberCardId);
}